#!/usr/bin/perl
#
# ALLEGRO_SCAN_START.PL
# Start script for genome wide Allegro run with sets of SNPs
# (c) 2004 Franz Rueschendorf 

use Cwd;
# use Strict;
use File::Copy;
use File::Basename;

my @files=();
my $set=0;


foreach $chr ("01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16","17","18","19","20","21","22") {
	if ( -d "c$chr") {
		print "Chromosome $chr\n";
		
		chdir "c${chr}";
		$set=0;
		@files=glob("datain_*.${chr}");

		foreach (@files){
			$basename=basename($_);
			@feld =	split('_',$basename);
			if ($set < $feld[1]) {$set=$feld[1];}
		}
		
		foreach my $i ( 1..$set) {	
			open (OUT,">allegro.in") || die "could not open allegro.in :$!\n";
			print OUT "PREFILE pedin_${i}.$chr\n"; 
			print OUT "DATFILE datain_${i}.$chr\n";
			print OUT "MODEL mpt par het param_mpt_${i}.$chr\n";
			print OUT "MODEL mpt exp pairs equal exppairs_equal_mpt_${i}.$chr\n";
			print OUT "MODEL mpt lin all equal linall_equal_mpt_${i}.$chr\n";
#			print OUT "MAXMEMORY  \n";
			print OUT "HAPLOTYPE haplo_${i}.$chr ihaplo_${i}.$chr founder_${i}.$chr inher_${i}.$chr\n";
			close (OUT);
			system ("allegro allegro.in");
		}
		chdir  ".." ;
	}
}