#!/usr/local/bin/perl
# (c) 2003 Franz Rueschendorf
#
# gh_snp_error.pl :  Look for errors and warnings in gh_<v>.out files
# Syntax    :  perl gh_snp_error.pl [-h] [-clean] [<infile>]
# Infiles   :  gh_<v>.out (default)
# Outfiles  :  gh_snp_errors.out
# 

use Cwd;

print "\n\n";
print " * * * * * * * * * * * *  GH_SNP_ERROR.PL v1.0  * * * * * * * * * * * *\n";
print " * * * * *  Search Errors and Warnings in Genehunter Outfiles * * * * * \n";

if ($ARGV[0] =~ "-h" ) { eval Help;}
if ($ARGV[0] =~ "-v" ) { eval Help;}

print "\nWorking ...\n";

$pfad = getcwd();
$datum = scalar localtime;
$outfile="gh_snp_errors.out";
$titel = "\t\tSearch for Genehunter Errors and Warnings\nProject_Dir: $pfad  - $datum\n\n";

open (OUT,">$outfile") || die "could not open outfile $outfile :$!\n";
print OUT "$titel\n";

foreach my $dir (c01,c02,c03,c04,c05,c06,c07,c08,c09,c10,c11,c12,c13,c14,c15,c16,c17,c18,c19,c20,c21,c22,c23,cx,c24,cxy) {
	if (-d $dir) {
		foreach my $i ( 1..25) {
			$ghout="gh_$i\.out";	
			$in_file = "$dir/$ghout";
			if (-f "$in_file") {	  
				print "File: $in_file\n"; 
				print OUT "File: $in_file\n"; 
				&ReadErrors(); 
			}
		} 
	}
		else { print "$dir not exists \n";
			}
} # end foreach

close (OUT);

print "\nready ...\n\n";


#############################   R E A D   E R R O R S   ########################  


sub ReadErrors {		# Read genehunter Outfiles and look for errors
	open (infile, "$in_file") || die "could not open $in_file :$!\n";
	while (<infile>){
#		chomp;
		if (lc($_) =~ /pvector|fail|warni|err|skip/) {print OUT "$_";}
	}
	close (infile);
} ## end ReadErrors


#################################   H E L P   #################################  
sub Help {

print " * * * * * *   Created by Franz Rueschendorf 18-Dec-2003    * * * * * * \n";
print " * * * * * * * * *   Max-Delbrueck-Center, Berlin   * * * * * * * * * * \n";
print " * * * * * * * * *   email: fruesch\@mdc-berlin.de   * * * * * * * * * * \n\n";
print "   Usage        : perl [path]gh_snp_error.pl\n";
print "   Infiles      : gh_<v>.out (default) \n";
print "   Outfile      : gh_snp_errors.out\n" ;
exit 0;
}

### end gh_snp_error.pl
